# FPicker

**FPicker** is a lightweight Windows-only file and folder picker library for Python.

---

## Features

- Open a file picker dialog
- Open a folder picker dialog
- Supports Windows COM-based dialogs

---

## Requirements

- Python 3.x (recommended: 3.7 or higher)
- Windows OS

---

## Installation

Install the package using pip:

```bash
pip install fpicker
```

## Usage
Here is an example of how to use FPicker:

```python
import fpicker

folder_path = fpicker.open(mode="folder")
if folder_path:
    print("Selected folder:", folder_path)
```
## Output Example
```plaintext
The whole path for the selected file
```

## Contributing
Contributions are welcome! Feel free to open an issue or submit a pull request if you have suggestions or improvements.

## Local Development
To set up a local development environment, follow these steps:

1. Create and activate a virtual environment:
    ```bash
    source venv/bin/activate  # macOS/Linux
    venv\Scripts\activate     # Windows
    venv/Scripts/activate
    ```
2. Build & install the project
    ```bash
    python setup.py build
    python setup.py install
    ```
The module is now installed in the virtual environment. You can test it by running the example script:

```bash
python examples/example.py
```

## License
This project is licensed under the Apache-2.0 License. See the LICENSE file for details.

## Author
Developed by Sekiraw

## Acknowledgements
Thanks to the Python development communities for providing tools and resources to make this project possible.

```vbnet
This styling ensures clarity, proper sectioning, and good readability. Let me know if you`d like any further adjustments!
```